groovy.util

## Class ObjectGraphBuilder.DefaultClassNameResolver

- java.lang.Object
- - groovy.util.ObjectGraphBuilder.DefaultClassNameResolver

All Implemented Interfaces:
  ObjectGraphBuilder.ClassNameResolver

Enclosing class:
  ObjectGraphBuilder

    public static class ObjectGraphBuilder.DefaultClassNameResolver
    extends java.lang.Object
    implements ObjectGraphBuilder.ClassNameResolver

Default impl that capitalizes the classname.

### Constructor Summary

Constructors
Constructor and Description
`ObjectGraphBuilder.DefaultClassNameResolver()`

### Method Summary

Methods
`java.lang.String` `resolveClassname(java.lang.String classname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectGraphBuilder.DefaultClassNameResolver

    public ObjectGraphBuilder.DefaultClassNameResolver()

### Method Detail

#### resolveClassname

    public java.lang.String resolveClassname(java.lang.String classname)

Specified by:
  `resolveClassname` in interface `ObjectGraphBuilder.ClassNameResolver`
Parameters:
  `classname` - the node name as written on the building code